metadata:
  name: sdk-cross-compilation
  format: "Apertis Test Definition 1.0"
  image-types:
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Attempt building bash package in the devroot SDK images ship."

  expected:
    - "The output should show PASSED."

install:
  git-repos:
    - url: https://gitlab.apertis.org/tests/sdk.git
      branch: 'apertis/v2021dev1'

run:
  steps:
    - "# Enter test directory:"
    - cd sdk
    - "# Execute the following commands:"
    - common/run-test-in-systemd --user=user --timeout=30min --basename -- cross/cross-compile.sh /opt/devroot

parse:
  fixupdict:
    FAILED: fail
    PASSED: pass
    FAIL: fail
    PASS: pass
    SKIP: skip
    UNKNOWN: unknown
  pattern: '^(?P<test_case_id>[a-zA-Z0-9_\-\./]+):\s*(?P<result>PASSED|PASS|pass|FAILED|FAIL|fail|SKIP|skip|UNKNOWN|unknown)$'
